--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: date = date-fullyear [&quot;-&quot;] date-month [&quot;-&quot;] date-mday date-fullyear = 4 DIGIT date-month = 2 DIGIT date-mday = 2 DIGIT
  name: DATE
  value: "'(\\d\\d\\d\\d)-?(\\d\\d)-?(\\d\\d)'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: time = time-hour [&quot;:&quot;] time-minute [&quot;:&quot;] time-second [time-secfrac] [time-zone] time-hour = 2 DIGIT time-minute = 2 DIGIT time-second = 2 DIGIT time-secfrac = &quot;,&quot; 1*DIGIT time-zone = &quot;Z&quot; / time-numzone time-numzome = sign time-hour [&quot;:&quot;] time-minute
  name: TIME
  value: "'(\\d\\d):?(\\d\\d):?(\\d\\d)(\\.\\d+)?(Z|[-+]\\d\\d:?\\d\\d)?'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: 1*(ALPHA / DIGIT / &quot;=&quot;)
  name: NAME
  value: "'[-a-z0-9]+'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: "&lt;&quot;&gt; &lt;Any character except CTLs, DQUOTE&gt; &lt;&quot;&gt;"
  name: QSTR
  value: "'\"[^\"]*\"'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Contentline
  name: LINE
  value: "\"(#{NAME})(.*(?:#{QSTR})|(?:[^:]*))\\:(.*)\""
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: "*&lt;Any character except CTLs, DQUOTE, &quot;;&quot;, &quot;:&quot;, &quot;,&quot;&gt;"
  name: PTEXT
  value: "'[^\";:,]*'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: param-value = ptext / quoted-string
  name: PVALUE
  value: "\"#{QSTR}|#{PTEXT}\""
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: param = name &quot;=&quot; param-value *(&quot;,&quot; param-value)
  name: PARAM
  value: "\";(#{NAME})(=?)((?:#{PVALUE})(?:,#{PVALUE})*)\""
full_name: Icalendar::Parser
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: next_line
- !ruby/object:RI::MethodSummary 
  name: parse
name: Parser
superclass: Icalendar::Base
